Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #879

Specify the toolkit Audacious was built with
March 09, 2019 10:16 - Artem S. Tashkinov

Status: Rejected Start date: March 09, 2019
Priority: Minor Due date:

Assignee: % Done: 0%

Category: plugins/qtui Estimated time: 0.00 hour
Target version:

Affects version: 3.9.1

Description

Specify the toolkit Audacious was built with
Either in the title bar, e.g. Audacious Qt/GTK

or in the About Dialog along with its version.

History

#1 - March 13, 2019 16:07 - John Lindgren

- Status changed from New to Rejected

| don't think this is worth implementing. All packaged versions should be using GTK2. If you're building from source, you should already know what

toolkit you're using.

#2 - March 25, 2019 16:54 - Artem S. Tashkinov

John Lindgren wrote:

| don't think this is worth implementing. All packaged versions should be using GTK2. If you're building from source, you should already know

what toolkit you're using.

It might be very useful for all the users who don't compile Audacious, i.e. distro users and Windows users.

For instance Debian builds Audacious with GTK2 ( https://packages.debian.org/sid/audacious-plugins ) while Fedora 29 uses Qt (

https://src.fedoraproject.org/cgit/roms/audacious-plugins.qgit/tree/audacious-plugins.spec ).

#3 - May 03, 2019 16:16 - Artem S. Tashkinov

John Lindgren wrote:

| don't think this is worth implementing. All packaged versions should be using GTK2. If you're building from source, you should already know

what toolkit you're using.

It might be very useful for all the users who don't compile Audacious, i.e. distro users and Windows users.
https://packages.debian.org/sid/audacious-plugins
https://src.fedoraproject.org/cgit/rpms/audacious-plugins.git/tree/audacious-plugins.spec

For instance Debian builds Audacious with GTK2 ( https://packages.debian.org/sid/audacious-plugins ) while Fedora 29 uses Qt (
https://src.fedoraproject.org/cgit/roms/audacious-plugins.qgit/tree/audacious-plugins.spec ).

#4 - October 29, 2019 02:15 - John Lindgren
- Target version deleted (4.0)

#5 - October 29, 2019 20:20 - Artem S. Tashkinov

Target version deleted (4-9)

I'm confused: you rejected this feature request ages ago and now you're updating it, why? ;-)
